<?php
/**
 * Processing Forget password form data:
 * check data then generate new password and send it through SMPT Email
 *
 * PHP version 7.3
 *
 * @package        SMS
 * @version        Release 1.0.0
 * @create_by      Mohammad aljaouni
 * @create_date    10-08-2020
 * @edited_by      Mohammad aljaouni
 * @last_edit_date 10-08-2020
 * @todo           Nothing
 */
ob_start();
session_start();
if(empty($_POST["email"])) {
	header("location: userEdit.php?res=212");
	exit;
}
$chain = "AWdrh78y892Djk*^523*%$#ghgHGHia&%$*)AsfdsLJnLaad";
include("validateLogin.php");
include("includeInformation.php");
include("functions/commonFunction.php");

$queryEditInfo=" UPDATE `user_login` SET";
$queryEditInfo.=" `email`='".mysqli_real_escape_string($conn, $_POST["email"])."'";
$queryEditInfo.=" WHERE `id`=$_SESSION[userId]";
$resultEditInfo =  mysqli_query($conn, $queryEditInfo);
if($resultEditInfo) {
	$queryInsertMove = "INSERT INTO `move_archive` (userId,`type`,`date`) VALUES ";
	$queryInsertMove .= "('".$idUser."','2','".time()."')";
	$resultInsertMove = mysqli_query($conn, $queryInsertMove); 
	
	header("location: userEdit.php?res=1");
	exit;
} else {
	header("location: userEdit.php?res=2");
	exit;
}

ob_end_flush();
?>
